### Function

# ECal util_set_alarm_acknowledged

since: 3.40

#### Declaration [src]

    gboolean
    e_cal_util_set_alarm_acknowledged (
      ECalComponent* component,
      const gchar* auid,
      gint64 when
    )

#### Description [src]

Sets the ACKNOWLEDGED property on the `component`‘s alarm with UID `auid` to the time `when` (in UTC), or to the current time, when the `when` is 0.

Available since: 3.40

#### Parameters

`component`

  Type: `ECalComponent`

  An `ECalComponent`.

  The data is owned by the caller of the function.

`auid`

  Type: `const gchar*`

  An alarm UID to modify.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`when`

  Type: `gint64`

  A time, in UTC, when to set the acknowledged property, or 0 for the current time.

#### Return value

Type: `gboolean`

Whether succeeded.